Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet.prefs
Interface IPreferencePersistenceManager

All Known Subinterfaces:
  PreferencePersistenceManager

    public interface IPreferencePersistenceManager

Specifies an interface for managing portlet preferences in a persistence store.

The implementation of this EJB uses an SPI for storing and retrieving preferences. The SPI is is specified by `com.bea.portlet.prefs.IPreferenceAppStore`. To replace the default implementation of this SPI, update the following env-entry properties:

- `prefs-spi-jndi-name`: This is the JNDI name of the EJB implementing the SPI. The default value is `BEA_netuix.DefaultStore`.
- `prefs-spi-home-class-name`: This is the class name of the home of the EJB implementing the SPI. The default value is `com.bea.portlet.prefs.provider.DefaultStoreHome`.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Field Summary
`static String` | `DEFAULT_SPI_HOME_NAME`
`static String` | `DEFAULT_SPI_JNDI_NAME`

Method Summary
`Map` | `getEntityPreferences(PortletPreferencesId uniqueId)` Deprecated
`Map` | `getPreferences(CustomizationContext customizationContext, PortletPreferencesId uniqueId)` Returns preferences for a portlet entity with the given `uniqueId`.
`Map` | `getPreferences(PortletPreferencesId uniqueId)` Deprecated
`void` | `removePreferences(CustomizationContext customizationContext, PortletPreferencesId uniqueId)` Clear all preferences for the given unique ID from the underlying persistence store.
`void` | `removePreferences(PortletPreferencesId uniqueId)` Deprecated
`PortletPreferencesId` | `storePreferences(CustomizationContext customizationContext, PortletPreferencesId uniqueId, Map preferences, boolean checkForSuccessor, boolean propagate)` Writes the preferences to the underlying persistence.
`PortletPreferencesId` | `storePreferences(CustomizationContext customizationContext, PortletPreferencesId uniqueId, Map preferences, boolean checkForSuccessor, boolean propagate, boolean forceSuccessorCreate)` Writes the preferences to the underlying persistence.

Field Detail

### DEFAULT_SPI_JNDI_NAME

    static final String DEFAULT_SPI_JNDI_NAME

See Also
  Constants Summary

### DEFAULT_SPI_HOME_NAME

    static final String DEFAULT_SPI_HOME_NAME

See Also
  Constants Summary

Method Detail

### getPreferences

    @Deprecated
    Map getPreferences(PortletPreferencesId uniqueId)
                       throws IOException

  Deprecated

  Returns preferences for a portlet entity with the given `uniqueId`.

  The returned `java.util.Map` contains `com.bea.netuix.application.prefs.Preference` objects keyed against their names.

  Parameters
    `uniqueId` - unique ID
  Returns
    preferences
  Throws
    `IOException`

### getEntityPreferences

    @Deprecated
    Map getEntityPreferences(PortletPreferencesId uniqueId)
                             throws IOException

  Deprecated

  Returns preferences for a portlet entity with the given `uniqueId`. Do not go up Predecessor hierarchy

  The returned `java.util.Map` contains `com.bea.netuix.application.prefs.Preference` objects keyed against their names.

  Parameters
    `uniqueId` - unique ID
  Returns
    preferences
  Throws
    `IOException`

### getPreferences

    Map getPreferences(CustomizationContext customizationContext,
                       PortletPreferencesId uniqueId)
                       throws IOException

  Returns preferences for a portlet entity with the given `uniqueId`.

  The returned `java.util.Map` contains `com.bea.netuix.application.prefs.Preference` objects keyed against their names.

  Parameters
    `uniqueId` - unique ID
  Returns
    preferences
  Throws
    `IOException`

### storePreferences

    PortletPreferencesId storePreferences(CustomizationContext customizationContext,
                                          PortletPreferencesId uniqueId,
                                          Map preferences,
                                          boolean checkForSuccessor,
                                          boolean propagate)
                                          throws IOException

  Writes the preferences to the underlying persistence.

  This method should be implemented to be atomic. That is, the implementation should guarantee that either all preference values are persisted or none at all.

  The `java.util.Map` argument should contain `com.bea.netuix.application.prefs.Preference` objects keyed against their names.

  If the boolean argument is `true`, this method propagates preferences to all successors. The successors would therefore lose their current preferences. So, use this method with caution.

  Parameters
    `customizationContext` -
    `uniqueId` - unique ID for the portlet instance. If propagating preferences to user-customized instanced of a portlet on a desktop, the uniqueId must contain the webappName, portalPath and desktopPath for preferences to be properly propagated.
    `preferences` - preferences
    `checkForSuccessor` - boolean to indicate if a check to find if a successor should be created
    `propagate` - boolean to indicate if preferences should be propagated to successors. If propagation of preferences is to user-customized instances of a portlet on a desktop, the uniqueId MUST contain the webappName, portalPath and desktopPath for preferences to be properly propagated.
  Returns
    unique ID used to store preferences
  Throws
    `IOException`

### storePreferences

    PortletPreferencesId storePreferences(CustomizationContext customizationContext,
                                          PortletPreferencesId uniqueId,
                                          Map preferences,
                                          boolean checkForSuccessor,
                                          boolean propagate,
                                          boolean forceSuccessorCreate)
                                          throws IOException

  Writes the preferences to the underlying persistence.

  This method should be implemented to be atomic. That is, the implementation should guarantee that either all preference values are persisted or none at all.

  The `java.util.Map` argument should contain `com.bea.netuix.application.prefs.Preference` objects keyed against their names.

  If the boolean argument is `true`, this method propagates preferences to all successors. The successors would therefore lose their current preferences. So, use this method with caution.

  Parameters
    `customizationContext` -
    `uniqueId` - unique ID for the portlet instance. If propagating preferences to user-customized instanced of a portlet on a desktop, the uniqueId must contain the webappName, portalPath and desktopPath for preferences to be properly propagated.
    `preferences` - preferences
    `checkForSuccessor` - boolean to indicate if a check to find if a successor should be created
    `propagate` - boolean to indicate if preferences should be propagated to successors. If propagation of preferences is to user-customized instances of a portlet on a desktop, the uniqueId MUST contain the webappName, portalPath and desktopPath for preferences to be properly propagated.
    `forceSuccessorCreate` - if `true` - forces the underlying store to create a new successor
  Returns
    unique ID used to store preferences
  Throws
    `IOException`

### removePreferences

    @Deprecated
    void removePreferences(PortletPreferencesId uniqueId)
                           throws IOException

  Deprecated

  Clear all preferences for the given unique ID from the underlying persistence store.

  This method removes preferences of all successors. The successors would therefore lose their current preferences.

  Parameters
    `uniqueId` - unique ID
  Throws
    `IOException`

### removePreferences

    void removePreferences(CustomizationContext customizationContext,
                           PortletPreferencesId uniqueId)
                           throws IOException

  Clear all preferences for the given unique ID from the underlying persistence store.

  This method removes preferences of all successors. The successors would therefore lose their current preferences.

  Parameters
    `uniqueId` - unique ID
  Throws
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved